%{?nodejs_find_provides_and_requires}
%global packagename rechoir
%global enable_tests 0
Name:                nodejs-rechoir
Version:             0.6.2
Release:             1
Summary:             Require any supported file as a node module
License:             MIT
URL:                 https://github.com/tkellen/node-rechoir
Source0:             https://github.com/tkellen/node-rechoir/archive/v%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging npm(resolve)
%if 0%{?enable_tests}
BuildRequires:       mocha npm(require-uncached)
%endif
%description
Require any supported file as a node module.

%prep
%autosetup -n rechoir-%{version}

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
    %{buildroot}%{nodejs_sitelib}/%{packagename}
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md CHANGELOG
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat Aug 22 2020 wangyue <wangyue92@huawei.com> - 0.6.2-1
- package init
